/*******************************************************\
 *  Funktionen zur Nutzung des RF(M)12-Funkmoduls       *
 *  ---------------------------------------------       *
 *  Basiert auf der Library von Benedikt K.             *
 *  http://www.mikrocontroller.net/topic/67273          *
 *  ---------------------------------------------       *
 *  Angepasst, erweitert und in einer Klasse gekapselt  *
 *  von Gruppen 1 und 3, Teilprojekt 2                  *
 *  Bearbeiter: Jan Unmann                              *
\*******************************************************/

class FunkBASIS
{
  public:

    // Spezifische Funktionen fuer die COACH Fahrzeuge
    virtual void sendeText(char *data);             // zu sendender Text mu mit \n abschliessen!
    virtual char* empfangeText();                   //empfangener Text mu mit \n abschliessen!
    virtual void sendePositiveInteger(int32_t zahl);
};
